%define	monitor	icinga
%define pkgname nagtrap

%define nsusr %{monitor}
%define nsgrp %{monitor}
%define cmdgrp %{monitor}cmd

BuildRequires:	%{monitor}

%if "%{_vendor}" == "suse"
%define apacheconfdir  %{_sysconfdir}/apache2/conf.d
%define apacheuser wwwrun
%define apachegroup www
BuildRequires:  apache2

%endif
%if "%{_vendor}" == "redhat"
%define apacheconfdir  %{_sysconfdir}/httpd/conf.d
%define apacheuser apache
%define apachegroup apache
BuildRequires:  httpd
%endif

Name:		%{monitor}-%{pkgname}
Version:	1.5.0
Release:	20.1
Summary:	Nagios/Icinga webinterface for snmptt
Url:		https://icinga.org/display/howtos/NagTrap
Source0:	%{pkgname}-%{version}.tar.bz2
Patch0:		%{pkgname}-%{version}_installopts.patch
Patch1:		%{pkgname}-%{version}_dbschema.patch
Patch2:		%{pkgname}-%{version}_plugin.patch
Patch3:		%{pkgname}-step.patch
Patch4:		%{pkgname}-%{version}_DBIx-DBCluster.patch
License:	GPL-2
Group:		Application/System
BuildRoot:	%{_tmppath}/%{monitor}-%{pkgname}-%{version}-root
Requires:	%{monitor}-%{pkgname}-plugins = %{version}-%{release}

%description
NagTrap is a webinterface written in PHP for Icinga/Nagios.
You can manage and administrate recipient snmptraps from SNMPTT.
NagTrap can easily be integrated into Icinga / Nagios and automatically
adapts to the Icinga- / Nagios-Design.
NagTrap picks the snmptraps from the database of SNMPTT.

%package plugins
Group:		Application/System
Summary:	Plugins for nagtrap
BuildRequires:  perl-DBIx-DBCluster
Requires:       perl-DBIx-DBCluster

%description plugins
Nagtrap plugins to check for new traps & jobs.

%prep
%setup -n %{pkgname}-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4

%build
./configure \
 --prefix=%{_usr} \
 --sysconfdir=%{_sysconfdir}/%{pkgname} \
 --datarootdir=%{_datadir}/%{pkgname} \
 --with-monitoring-user=%{nsusr} \
 --with-monitoring-group=%{nsgrp} \
 --with-command-user=%{nsusr} \
 --with-command-group=%{cmdgrp} \
 --with-htmurl=/%{pkgname} \
 --with-httpd-conf=%{apacheconfdir} \
 --with-log-dir=/var/log/%{monitor}/%{pkgname} \
 --with-monitoring-installdir=/ \
 --with-htpasswdusers-file=%{_sysconfdir}/%{monitor}/htpasswd.users \
 --with-monitoring-libexecdir=%{_prefix}/lib/nagios/plugins


%install
%__install -d %{buildroot}%{apacheconfdir}
%__install -d %{buildroot}%{_prefix}/lib/nagios/plugins
%__install -d %{buildroot}/var/log/%{monitor}/%{pkgname}
%__make DESTDIR=%{buildroot} install
cp %{buildroot}%{_sysconfdir}/%{pkgname}/config.ini.php-dist %{buildroot}%{_sysconfdir}/%{pkgname}/config.ini.php

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/ChangeLog doc/INSTALL doc/THANKS
%doc db/%{pkgname}-*.sql
%config(noreplace) %{apacheconfdir}/nagtrap.conf
%defattr(-,%{nsusr},%{nsgrp})
%dir %{_sysconfdir}/%{pkgname}
%config %{_sysconfdir}/%{pkgname}/config.ini.php-dist
%config(noreplace) %{_sysconfdir}/%{pkgname}/config.ini.php
%dir %{_datadir}/nagtrap
%dir %{_datadir}/nagtrap/images
%{_datadir}/nagtrap/images/dropline
%{_datadir}/nagtrap/images/dropline/archive.png
%{_datadir}/nagtrap/images/dropline/arrow.png
%{_datadir}/nagtrap/images/dropline/attention.png
%{_datadir}/nagtrap/images/dropline/comment.png
%{_datadir}/nagtrap/images/dropline/delete.png
%{_datadir}/nagtrap/images/dropline/mark.png
%{_datadir}/nagtrap/images/dropline/next.png
%{_datadir}/nagtrap/images/dropline/previous.png
%{_datadir}/nagtrap/images/dropline/search.png
%dir %{_datadir}/nagtrap/include
%dir %{_datadir}/nagtrap/include/classes
%{_datadir}/nagtrap/include/classes/class.common.php
%{_datadir}/nagtrap/include/classes/class.frontend.php
%{_datadir}/nagtrap/include/classes/class.main.php
%{_datadir}/nagtrap/include/classes/class.mysqlDB.php
%dir %{_datadir}/nagtrap/include/css
%{_datadir}/nagtrap/include/css/nagtrap.css
%dir %{_datadir}/nagtrap/include/defines
%{_datadir}/nagtrap/include/defines/global.php
%dir %{_datadir}/nagtrap/include/functions
%{_datadir}/nagtrap/include/functions/functions.debug.php
%dir %{_datadir}/nagtrap/include/js
%{_datadir}/nagtrap/include/js/builder.js
%{_datadir}/nagtrap/include/js/controls.js
%{_datadir}/nagtrap/include/js/dragdrop.js
%{_datadir}/nagtrap/include/js/effects.js
%{_datadir}/nagtrap/include/js/nagtrap.js
%{_datadir}/nagtrap/include/js/overlib.js
%{_datadir}/nagtrap/include/js/prototype.js
%{_datadir}/nagtrap/include/js/scriptaculous.js
%{_datadir}/nagtrap/include/js/slider.js
%{_datadir}/nagtrap/include/js/sound.js
%dir %{_datadir}/nagtrap/include/xml
%dir %{_datadir}/nagtrap/include/xml/language
%dir %{_datadir}/nagtrap/include/xml/language/DE
%dir %{_datadir}/nagtrap/include/xml/language/EN
%{_datadir}/nagtrap/include/xml/language/DE/error.xml
%{_datadir}/nagtrap/include/xml/language/DE/main.xml
%{_datadir}/nagtrap/include/xml/language/EN/error.xml
%{_datadir}/nagtrap/include/xml/language/EN/main.xml
%{_datadir}/nagtrap/index.php
%{_datadir}/nagtrap/search.php
%defattr(-,%{nsusr},%{cmdgrp})
%dir /var/log/%{monitor}/%{pkgname}

%files plugins
%defattr(-,%{nsusr},%{nsgrp})
%config(noreplace) %{_sysconfdir}/%{pkgname}/plugin_db.conf
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_jobs.pl
%{_prefix}/lib/nagios/plugins/check_snmptraps.pl

%changelog
* Mon Mar 19 2018 cs@linux-administrator.com
- add DBIx::DBCluster support
* Fri Nov  1 2013 cs@linux-administrator.com
- initial package build
